Bug 820855 - Review Request: apache-juddi - Client API for UDDI
Review Request: apache-juddi - Client API for UDDI
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 822394
  Show dependency treegraph
 
Reported: 2012-05-11 04:25 EDT by Mikolaj Izdebski
Modified: 2012-05-23 07:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-23 07:47:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mikolaj Izdebski 2012-05-11 04:25:40 EDT
Spec URL: http://mizdebsk.fedorapeople.org/review/apache-juddi/apache-juddi.spec
SRPM URL: http://mizdebsk.fedorapeople.org/review/apache-juddi/apache-juddi-3.1.3-2.fc16.src.rpm
Description:
jUDDI is an open source Java implementation of the Universal Description,
Discovery, and Integration (UDDI v3) specification for Web Services.

This package includes only the client side of jUDDI.
Comment 1 Marek Goldmann 2012-05-16 09:06:35 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[x]  Rpmlint output:

$ rpmlint SPECS/apache-juddi.spec 
SPECS/apache-juddi.spec: W: invalid-url Source0: apache-juddi-3.1.3.tar.xz
0 packages and 1 specfiles checked; 0 errors, 1 warnings

$ rpmlint SRPMS/apache-juddi-3.1.3-2.fc17.src.rpm 
apache-juddi.src: I: enchant-dictionary-not-found en_US
apache-juddi.src: W: invalid-url Source0: apache-juddi-3.1.3.tar.xz
1 packages and 0 specfiles checked; 0 errors, 1 warnings.

$ rpmlint RPMS/noarch/apache-juddi-3.1.3-2.fc17.noarch.rpm 
apache-juddi.noarch: I: enchant-dictionary-not-found en_US
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[x]  License field in the package spec file matches the actual license.
License type: ASL 2.0
[x]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[x]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : d5258d6a03cb8f632b32f480c599a94b
MD5SUM upstream package: 4027cc55cbd212bc80feff7c7cc29961

SVN export, OK.

[x]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[-]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[!]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4081229

=== Issues ===
1. Package doesn't build, please remove the readFromJar(org.apache.juddi.v3.client.mapping.ReadWSDLTest) test. See https://koji.fedoraproject.org/koji/getfile?taskID=4081230&name=build.log
Comment 3 Marek Goldmann 2012-05-17 10:36:59 EDT
Tested: http://koji.fedoraproject.org/koji/taskinfo?taskID=4083355

================
*** APPROVED ***
================
Comment 4 Mikolaj Izdebski 2012-05-18 04:58:26 EDT
New Package SCM Request
=======================
Package Name: apache-juddi
Short Description: Client API for UDDI
Owners: mizdebsk
Branches: f17
InitialCC:
Comment 5 Jason Tibbitts 2012-05-19 14:35:11 EDT
Git done (by process-git-requests).

Note You need to log in before you can comment on or make changes to this bug.